import { h } from 'preact'

export default function NavBar({
  open,
  toggle,
  data,
  title,
  title_url,
  home_url
}) {
  const homeUrl = home_url ? home_url : 'https://www.hashicorp.com'
  return (
    <div class="nav-container">
      <div class="logo-group">
        <a href={homeUrl}>
          <img
            class="logo"
            src={data.primary_logo.url}
            alt={data.primary_logo.alt}
          />
        </a>
        {title && (
          <a class="site-title" href={title_url || homeUrl}>
            {title}
          </a>
        )}
      </div>
      <button
        class={`burger${open ? ' active' : ''}`}
        onClick={toggle}
        aria-haspopup="true"
        aria-expanded={open ? 'true' : 'false'}
      >
        <span />
        <span />
        <span />
        <span />
      </button>
    </div>
  )
}
