import { h } from 'preact'

export default function NavSection({ name, enter, exit, children }) {
  return (
    <li
      class={`nav-block ${name ? name.toLowerCase().replace(/\s/, '-') : ''}`}
    >
      <h6 class="submenu-header">{name}</h6>
      <a onClick={enter}>{name}</a>
      <ul
        class={`submenu ${name ? name.toLowerCase().replace(/\s/, '-') : ''}`}
      >
        <li class="close" onClick={exit}>
          <span>&lsaquo;</span> Back
        </li>
        <li class="name">{name}</li>
        {children}
      </ul>
    </li>
  )
}
