// Mocked Dato data used for playground and for Jest tests

const data = {
  primary_logo: {
    url:
      'https://www.datocms-assets.com/2885/1508434289-hashicorp_primarylogo_black.svg',
    alt: 'HashiCorp Logo'
  },
  products_links: [
    {
      name: 'Terraform',
      logo_dark: {
        url:
          'https://www.datocms-assets.com/2885/1503444324-terraform-logo.svg',
        alt: 'Terraform Logo'
      },
      logo: {
        url: 'https://www.datocms-assets.com/2885/1509992372-terraform.svg',
        alt: 'Terraform icon'
      },
      color_logo: {
        url:
          'https://www.datocms-assets.com/2885/1537300245-terraform-color.svg',
        alt: 'Terraform icon'
      },
      website: 'https://terraform.io',
      slug: 'terraform'
    },
    {
      name: 'Vault',
      logo_dark: {
        url: 'https://www.datocms-assets.com/2885/1503444340-vault-logo.svg',
        alt: 'Vault Logo'
      },
      logo: {
        url: 'https://www.datocms-assets.com/2885/1509992415-vault.svg',
        alt: 'Vault icon'
      },
      color_logo: {
        url: 'https://www.datocms-assets.com/2885/1537300262-vault-color.svg',
        alt: 'Vault icon'
      },
      website: 'https://vaultproject.io',
      slug: 'vault'
    },
    {
      name: 'Consul',
      logo_dark: {
        url: 'https://www.datocms-assets.com/2885/1503444354-consul-logo.svg',
        alt: 'Consul Logo'
      },
      logo: {
        url: 'https://www.datocms-assets.com/2885/1509992454-consul.svg',
        alt: 'Consul icon'
      },
      color_logo: {
        url: 'https://www.datocms-assets.com/2885/1537300274-consul-color.svg',
        alt: 'Consul icon'
      },
      website: 'https://consul.io',
      slug: 'consul'
    },
    {
      name: 'Nomad',
      logo_dark: {
        url: 'https://www.datocms-assets.com/2885/1503444365-nomad-logo.svg',
        alt: 'Nomad Logo'
      },
      logo: {
        url: 'https://www.datocms-assets.com/2885/1509992476-nomad.svg',
        alt: 'Nomad icon'
      },
      color_logo: {
        url: 'https://www.datocms-assets.com/2885/1537300284-nomad-color.svg',
        alt: 'Nomad icon'
      },
      website: 'https://nomadproject.io',
      slug: 'nomad'
    }
  ],
  resources_links: [
    {
      title: 'Learn',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Library',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Blog',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Events',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Cloud Adoption',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Application',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Training',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Testing link',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Noodle test',
      url: 'http://www.hashicorp.com'
    }
  ],
  company_links: [
    {
      title: 'About us',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Jobs',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Contact',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Our Principles',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'The Tao of HashiCorp',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Press',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Testing this',
      url: 'http://www.hashicorp.com'
    }
  ],
  partners_links: [
    {
      title: 'Partner Network',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Become a partner',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Partner portal',
      url: 'http://www.hashicorp.com'
    }
  ],
  docs_links: [
    {
      title: 'Vault',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Consul',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Nomad',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Terraform',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Vagrant',
      url: 'http://www.hashicorp.com'
    },
    {
      title: 'Packer',
      url: 'http://www.hashicorp.com'
    }
  ],
  callout: {
    headline: 'Sentinel',
    body:
      'Some callout text that is cool goes here that is longer so that it wraps onto multiple lines.',
    button: {
      title: 'Click me',
      url: 'http://www.hashicorp.com'
    }
  },
  footer_links: [
    {
      title: 'Support',
      url: 'https://www.hashicorp.com/support'
    }
  ],
  social_links: [
    {
      url: 'http://linkedin.com',
      network: {
        name: 'The resume site',
        icon_dark: {
          url:
            'https://www.datocms-assets.com/2885/1537463807-1506710672-linkedin.svg',
          alt: 'lwankedwin'
        }
      }
    },
    {
      url: 'http://github.com',
      network: {
        name: 'GitHub',
        icon_dark: {
          url:
            'https://www.datocms-assets.com/2885/1537463779-1506710652-github.svg',
          alt: 'Github'
        }
      }
    },
    {
      url: 'http://twitter.com',
      network: {
        name: 'Tweeter',
        icon_dark: {
          url:
            'https://www.datocms-assets.com/2885/1537463646-1506710661-twitter.svg',
          alt: 'twarter'
        }
      }
    },
    {
      url: 'http://youtube.com',
      network: {
        name: 'WhosTube',
        icon_dark: {
          url:
            'https://www.datocms-assets.com/2885/1537463733-1507937182-youtube.svg',
          alt: 'YourTube'
        }
      }
    }
  ]
}

export default data
