import { expect } from 'chai'
import MegaNav from './index'
import propsSpec from './props.js'

testComponent(
  () => MegaNav,
  { props: propsSpec },
  ({ testTagAndClass, render }) => {
    testTagAndClass('nav', 'g-mega-nav')

    it('should toggle state.menuOpen when toggleMenu() is called', () => {
      const wrapper = render()
      expect(wrapper.state('menuOpen')).to.equal(false)
      wrapper.component().toggleMenu()
      expect(wrapper.state('menuOpen')).to.equal(true)
      wrapper.component().toggleMenu()
      expect(wrapper.state('menuOpen')).to.equal(false)
    })

    it('should add and remove .g-noscroll to <body> when opened and closed', () => {
      const wrapper = render()

      wrapper.component().toggleMenu()
      expect(document.body.classList.contains('g-noscroll')).to.equal(true)
      wrapper.component().toggleMenu()
      expect(document.body.classList.contains('g-noscroll')).to.equal(false)
    })
  }
)
